path: /build/build/macaroni-zen-full-kernel-6.8-6.8.6.package.tar.zst
dependencies: []
compilespec:
  steps:
  - bash build.sh
  env:
  - ARCH=x86_64
  - KERNEL_PREFIX=zen
  - SUFFIX=macaroni
  - KERNEL_TYPE=linux
  prelude:
  - export LUET_YES=true && luet repo update && luet i app-arch/zstd app-arch/xz-utils
    sys-devel/flex sys-devel/bison sys-libs/ncurses sys-devel/make dev-util/kbuild
    dev-vcs/git dev-libs/openssl dev-libs/elfutils binutils sys-libs/binutils-libs
    sys-devel/gcc-config sys-apps/gawk virtual/base sys-apps/diffutils sys-apps/baselayout
    sys-apps/lsb-release sys-apps/portage net-misc/wget app-misc/ca-certificates sys-kernel/linux-headers
    sys-devel/bc sys-apps/kmod && mkdir -p /etc/portage /tmp && echo "CHOST=\"${ARCH}-pc-linux-gnu\""
    > /etc/portage/make.conf && /usr/bin/gcc-config 1 && eselect gcc set 1 && mkdir
    -p /var/lib/portage && eval 'rm /etc/localtime || true' && ln -s /usr/share/zoneinfo/Europe/Rome
    /etc/localtime && env-update && ldconfig && luet cleanup --purge-repos
  - bash prepare.sh
  image: macaronios/terragon-minimal-devel:latest-amd64
  seed: macaronios/terragon-minimal-devel:latest-amd64
  package:
    name: macaroni-zen-full
    version: 6.8.6
    category: kernel-6.8
    annotations:
      kernel:
        eol: N/A
        lts: false
        released: "2024-03-10"
        suffix: macaroni
        type: zen
    buildtimestamp: 2024-04-25 05:42:55.666059313 +0000 UTC m=+3413.064760317
    labels:
      package.version: 6.8.6-zen1
    treedir: /build/packages
  package_dir: /luetbuild/output
  retrieve: []
  unpack: false
  includes: []
  excludes: []
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-commons-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - {}
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 61f50cce1ad31e4e1b1e4a21ef4b73a9b15314074f6139e45946916e473a2f2e
compressiontype: zstd
files:
- boot/kernel-zen-x86_64-6.8.6-zen1-macaroni
package_cacheimage: ""
runtime:
  name: macaroni-zen-full
  version: 6.8.6
  category: kernel-6.8
  requires:
  - name: macaroni-zen-modules
    version: '>=0'
    category: kernel-6.8
  - name: ctl
    version: '>=0'
    category: macaroni
  - name: sh
    version: '>=0'
    category: virtual
  annotations:
    kernel:
      eol: N/A
      lts: false
      released: "2024-03-10"
      suffix: macaroni
      type: zen
  labels:
    package.version: 6.8.6-zen1
